"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.adRouter = void 0;
const express_1 = require("express");
const add_reccord_1 = require("../records/add.reccord");
exports.adRouter = (0, express_1.Router)()
    .get("/search/:name?", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    var _a;
    const ads = yield add_reccord_1.AddReccord.findAll((_a = req.params.name) !== null && _a !== void 0 ? _a : "");
    res.json(ads);
}))
    .get('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const ad = yield add_reccord_1.AddReccord.getOne(req.params.id);
    res.json(ad);
}))
    .post('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const ad = new add_reccord_1.AddReccord(req.body);
    console.log(ad);
    yield ad.insert();
    res.json(ad);
}));
//# sourceMappingURL=ad.recdord.js.map