"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const add_reccord_1 = require("../records/add.reccord");
test("Can build AdRecord", () => {
    const ad = new add_reccord_1.AddReccord({
        name: 'Test name',
        description: 'dadad',
        lat: 0,
        lon: 0,
        url: 'https://wp.pl',
        price: 5,
    });
    expect(ad.name).toBe('Test name');
});
test("Validate invalid price", () => {
    expect(() => new add_reccord_1.AddReccord({
        name: 'Test name',
        description: 'dadad',
        lat: 0,
        lon: 0,
        url: 'https://wp.pl',
        price: -5,
    })).toThrow("Cena nie może być większa niż 999999");
});
//# sourceMappingURL=ad.test.js.map